# Submit Business Verification

{% hint style="warning" %}
Please note that you are required to have a webhook set for business verification requests to be successful. If they are not set, you will not get notified when the verification has been completed.
{% endhint %}

## Submit Business Address for Verification

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/businesses`

This endpoint allows you to create business verification requests

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication Token |

#### Request Body

| Name                | Type    | Description                                                           |
| ------------------- | ------- | --------------------------------------------------------------------- |
| applicant.dob       | string  | <p>Contact Person Date of Birth.<br>Date Format: "DD-MM-YYYY"</p>     |
| reference           | string  | unique identifier for requests                                        |
| canContactPoc       | boolean | Can We Reach Out To Contact Person                                    |
| applicant.firstname | string  | Contact Person First name                                             |
| applicant.lastname  | string  | Contact Person Last name                                              |
| applicant.email     | string  | Contact Person Email or Business Official Email                       |
| applicants.phone    | string  | Contact Person Phone No or Business contact line                      |
| applicant.idType    | string  | Contact Person Id Type ("BVN", "NIN", "KYC PHONE", "DRIVERS LICENCE") |
| applicant.idNumber  | string  | Contact Person Identity Number ("NIN", "BVN", "PHONE NO")             |
| city                | string  | city name                                                             |
| state               | string  | state name                                                            |
| lga                 | string  | Local Government Area                                                 |
| street              | string  | Street Name e.g 270, Muritala Mohammed Way, Alagomeji Yaba.           |
| rcNumber            | string  | Registration Number                                                   |
| type                | string  | Business Type(Formal , Informal)                                      |
| name                | string  | registered business name                                              |

{% tabs %}
{% tab title="200 " %}

```
{
"status": "success",
"data": {
    id: 1,
    applicant: {
        firstname: "John",
        lastname: "Doe",
        phone:"08000000000",
        idType: "bvn",
        idNumber: "10000000001",
        middlename: "Cameron',
        photo: "https://images.verifyme.ng/278783775/fjjjjler7834.jpg",
        gender: "Male",
        birthdate: '17/01/1988',
    },
    business: {
        name: "Ade & Sons Global World",
        type: "Formal",
        rcNumber:"123453",
        isBusinessKnown : true,
        isBusinessOwnerKnown : true
        ownerVisitsFrequently : false
    },
    canContactPoc: "false",
    createdAt: "",
    completedAt: "",
    lattitude: "9.081999",
    longitude: "8.675277",
    photos: ["https://picsum.photos/id/768/200/300.jpg", "https://picsum.photos/id/768/200/300.jpg"],
    status: {
        status: "In Progress",
        subStatus: "In Progress",
        state: "In Progress",
    },
    city: "oshodi",
    street: "270 Murtala Muhammed Way, Alagomeji. Yaba",
    lga: "lagos mainland",
    state: "Lagos",
    country: "Nigeria",
    reference: "VMN_dsmdms"
}
```

{% endtab %}

{% tab title="401 Unauthorised " %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="JSON" %}

```
{
    "businessName": "Ade & Sons Global World",
    "businessType": "Formal",
    "rcNumber":"ad123453",
    "street": "270 Murtala Muhammed Way, Alagomeji. Yaba",
    "lga": "surulere",
    "state": "lagos",
    "canContactPoc": "false",
    "applicant": {
        "idType": "NIN",
        "idNumber": "10000000001",
        "firstname": "john",
        "lastname": "doe",
        "phone": "08121234567",
        "email":"doe@ymail.com"
    }
}
```

{% endtab %}

{% tab title="CURL" %}

```
curl --verbose  
--header "Authorization: Bearer <token>"
--data '{ "businessName": "Ade & Sons Global World","businessType": "Formal","rcNumber":"ad123453","street": "270 Murtala Muhammed Way, Alagomeji. Yaba", "lga": "sululere", "state" :"lagos", "city": "lagos","canContactPoc": "false","applicant": {    "idType": "NIN",    "idNumber": "10000000001",    "firstname": "john",    "lastname": "doe",    "phone": "08121234567",    "dob":"04-04-1944"}}' 
--request "POST" "https://vapi.verifyme.ng/v1/verifications/addresses"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/business-verification/submit-business-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
